Show / Hide Table of Contents

# Struct AtkComponentList

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Component.GUI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct AtkComponentList

### Fields

| Improve this Doc View Source

#### AtkComponentBase

##### Declaration

    public AtkComponentBase AtkComponentBase

##### Field Value

Type | Description
--- | ---
AtkComponentBase |

| Improve this Doc View Source

#### AtkComponentScrollBarC8

##### Declaration

    public AtkComponentScrollBar*AtkComponentScrollBarC8

##### Field Value

Type | Description
--- | ---
AtkComponentScrollBar* |

| Improve this Doc View Source

#### FirstAtkComponentListItemRenderer

##### Declaration

    public AtkComponentListItemRenderer*FirstAtkComponentListItemRenderer

##### Field Value

Type | Description
--- | ---
AtkComponentListItemRenderer* |

| Improve this Doc View Source

#### HeldItemIndex

##### Declaration

    public int HeldItemIndex

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### HoveredItemCollisionNode

##### Declaration

    public AtkCollisionNode*HoveredItemCollisionNode

##### Field Value

Type | Description
--- | ---
AtkCollisionNode* |

| Improve this Doc View Source

#### HoveredItemIndex

##### Declaration

    public int HoveredItemIndex

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### HoveredItemIndex2

##### Declaration

    public int HoveredItemIndex2

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### HoveredItemIndex3

##### Declaration

    public int HoveredItemIndex3

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### ItemRendererList

##### Declaration

    public AtkComponentList.ListItem*ItemRendererList

##### Field Value

Type | Description
--- | ---
AtkComponentList.ListItem* |

| Improve this Doc View Source

#### ListLength

##### Declaration

    public int ListLength

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SelectedItemIndex

##### Declaration

    public int SelectedItemIndex

##### Field Value

Type | Description
--- | ---
System.Int32 |